
From: Ingo Molnar <mingo@elte.hu>

Make force_sig_info_fault() noinline, suggested by Andi Kleen <ak@muc.de>.

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/mm/fault.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/mm/fault.c~x86-compress-the-stack-layout-of-do_page_fault-fix arch/i386/mm/fault.c
--- 25/arch/i386/mm/fault.c~x86-compress-the-stack-layout-of-do_page_fault-fix	Mon Jul 11 15:58:37 2005
+++ 25-akpm/arch/i386/mm/fault.c	Mon Jul 11 15:58:37 2005
@@ -199,8 +199,8 @@ static inline int is_prefetch(struct pt_
 	return 0;
 } 
 
-static void force_sig_info_fault(int si_signo, int si_code,
-				 unsigned long address, struct task_struct *tsk)
+static noinline void force_sig_info_fault(int si_signo, int si_code,
+	unsigned long address, struct task_struct *tsk)
 {
 	siginfo_t info;
 
_
